# System Transparency

## On why one would protect OS packages from being exposed to the public

 - OS packages do contain secrets, even if they probably should not.

 - Mitigating an increased risk, real or not, for compromise when the
   internets can dive into ones implementation.

 - Protection against denial of service against provisioning servers.

 - Transparency might not be towards anyone on the internet but
   instead to a subset of the universe.

## On how to protect OS packages from being exposed to the public.

ST-booted target systems download OS packages over HTTPS from one or
more web servers called provisioning servers.

A simple solution is to apply HTTP basic authentication on
provisioning servers, using a single user name and password. The
credentials would have to be stored in the clear on each target system
in order for stboot to be able to download OS packages upon boot. If a
single target system is being compromised, changing the password
requires changes to each and every target system.

Another solution also using HTTP basic auth would be to use a unique
user name and password combination for each target system. Deployment
becomes more complex while revocation of a single set of credentials
becomes easy and efficient. A reasonable solution would be to use
HMAC(Secret, SSH_pubkey) generated by the local part of the
provisioning tool (mpt local run) as the basic auth password. The
Secret is never exposed outside of the operator's work station and is
unlikely to ever need to be revoked. The SSH_pubkey can be replaced
with any other piece of data that is unique to the target system and
does not need to be secret. The password would need to be sent to the
target system as part of provisioning as well as to all provisioning
servers, for inclusion in their authentication database.

An alternative to HTTP basic auth would be to use X.509 client
certificates.
